<?
function bbcodecit($arr)
{
$arr[1]=html_entity_decode($arr[1]);
return '<div class="cit">'.preg_replace('#<cit>(.*?)</cit>#si', '\\1',highlight_string($arr[1],1)).'</div>'."";
}

function bbcodecode($arr)
{
$arr[1]=html_entity_decode($arr[1]);
return '<div class="code">'.preg_replace('#<code>(.*?)</code>#si', '\\1',highlight_string($arr[1],1)).'</div>'."";
}

function bbcode($msg)
{
$msg=preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $msg);
$msg=preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $msg);
$msg=preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $msg);
$msg=preg_replace('#\[small\](.*?)\[/small\]#si', '<small>\1</small>', $msg);
$msg=preg_replace('#\[big\](.*?)\[/big\]#si', '<big>\1</big>', $msg);
$msg=preg_replace('#\[red\](.*?)\[/red\]#si', '<span style="color:#FF0000">\1</span>', $msg);
$msg=preg_replace('#\[green\](.*?)\[/green\]#si', '<span style="color:#00FF00">\1</span>', $msg);
$msg=preg_replace('#\[blue\](.*?)\[/blue\]#si', '<span style="color:#0000FF">\1</span>', $msg);
$msg=preg_replace('#\[yellow\](.*?)\[/yellow\]#si', '<span style="color:#0000FF">\1</span>', $msg);
$msg=preg_replace('#\[url=(.*?)](.*?)\[/url\]#si', '<a href="\1">\2</a>', $msg);
$msg=preg_replace('#\[img](.*?)\[/img\]#si', '<img src=\"\1" alt=\"image\"/>', $msg);
$msg=preg_replace_callback('#\[cit\](.*?)\[/cit\]#si', 'bbcodecit', $msg);
$msg=preg_replace_callback('#\[code\](.*?)\[/code\]#si', 'bbcodecode', $msg);
return $msg;
}
?>